aboutsummaryrefslogtreecommitdiff
path: root/app
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2008-05-16 04:35:03 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2008-05-16 04:35:03 +0000
commit4dc624c44247ccd84576ff165693bd63a689b107 (patch)
treeb8024407cde172e49fabded7a8ea67c75db9a5bd /app
parentd6b14d82f0463e7cb55ae2f7ad9433ededcb47e3 (diff)
downloadslackbuilds-4dc624c44247ccd84576ff165693bd63a689b107.tar.gz
slackbuilds-4dc624c44247ccd84576ff165693bd63a689b107.tar.bz2
Added: bb-1.3.0
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1901 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app')
-rw-r--r--app/misc/bb/amd64_fix.patch11
-rwxr-xr-xapp/misc/bb/bb.SlackBuild183
-rw-r--r--app/misc/bb/slack-required2
-rw-r--r--app/misc/bb/timers_fix.patch18
4 files changed, 214 insertions, 0 deletions
diff --git a/app/misc/bb/amd64_fix.patch b/app/misc/bb/amd64_fix.patch
new file mode 100644
index 00000000..2a416861
--- /dev/null
+++ b/app/misc/bb/amd64_fix.patch
@@ -0,0 +1,11 @@
+--- tex.c 2001-04-26 12:52:27.000000000 -0300
++++ tex.c.new 2008-05-16 00:18:45.000000000 -0300
+@@ -92,7 +92,7 @@
+
+ static inline void clear_zbuff()
+ {
+- memset(zbuff, 0x55, (X_s * Y_s * sizeof(long)));
++ memset(zbuff, 0x55, (X_s * Y_s * sizeof(int)));
+ }
+
+
diff --git a/app/misc/bb/bb.SlackBuild b/app/misc/bb/bb.SlackBuild
new file mode 100755
index 00000000..4ae96010
--- /dev/null
+++ b/app/misc/bb/bb.SlackBuild
@@ -0,0 +1,183 @@
+#!/bin/bash
+#
+# bb.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or any later version.
+#
+# bb.SlackBuild is distributed in the hope that it
+# will be useful, but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
+#
+# SlackBuild for BB
+# http://aa-project.sourceforge.net/bb/
+#
+# Author: Luis ( luis at riseup d0t net )
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="bb"
+PKG_NAME="bb"
+ARCH=${ARCH:=i386}
+SRC_VERSION="1.3rc1"
+PKG_VERSION="1.3.0"
+BUILD=${BUILD:=1ls}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_SRC="$TMP/$SRC_NAME-$PKG_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:=--mandir=$PREFIX/man --bindir=$PREFIX/games --datadir=$PREFIX/share}
+NUMJOBS=${NUMJOBS:=-j4}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$SRC_VERSION.tar.gz"
+URL="http://downloads.sourceforge.net/aa-project/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+
+# Patch source
+patches="timers_fix.patch amd64_fix.patch
+ $PKG_NAME.diff $PKG_NAME-$PKG_VERSION.diff
+ $PKG_NAME-$PKG_VERSION-$ARCH.diff $PKG_NAME-$ARCH.diff"
+for patch in $patches; do
+ if [ -f "$CWD/$patch" ]; then
+ patch -Np0 < "$CWD/$patch" || exit $ERROR_PATCH
+ elif [ -f "$CWD/patches/$patch" ]; then
+ patch -Np0 < "$CWD/patches/$patch" || exit $ERROR_PATCH
+ fi
+done
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages
+if [ -d "$PKG/$PREFIX/man" ]; then
+ ( cd "$PKG/$PREFIX/man"
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Compress info files
+if [ -d "$PKG/$PREFIX/info" ]; then
+ ( cd "$PKG/$PREFIX/info"
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Install documentation
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README README.LZO"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bb: BB (An ASCII-art demo based on the aalib)
+bb:
+bb: This package contains a 'high quality audio-visual demonstration'
+bb: of ASCII-art using AAlib, a portable ascii art graphics library.
+bb: This demonstration can be displayed in a text or X11 terminal.
+bb:
+bb: For more information, http://aa-project.sourceforge.net
+bb:
+bb:
+bb:
+bb:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
+fi
diff --git a/app/misc/bb/slack-required b/app/misc/bb/slack-required
new file mode 100644
index 00000000..299d29e8
--- /dev/null
+++ b/app/misc/bb/slack-required
@@ -0,0 +1,2 @@
+aalib >= 1.4.0
+libmikmod >= 3.0.0
diff --git a/app/misc/bb/timers_fix.patch b/app/misc/bb/timers_fix.patch
new file mode 100644
index 00000000..fcd58d68
--- /dev/null
+++ b/app/misc/bb/timers_fix.patch
@@ -0,0 +1,18 @@
+--- timers.c 2001-04-26 12:10:33.000000000 -0300
++++ timers.c.new 2008-05-16 00:16:07.000000000 -0300
+@@ -306,6 +306,7 @@
+ #endif
+ #endif
+ }
++REGISTERS(3)
+ int
+ tl_lookup_timer (tl_timer * t)
+ {
+@@ -382,6 +383,7 @@
+ #endif
+ }
+
++REGISTERS(3)
+ void
+ tl_reset_timer (tl_timer * t)
+ {